Skip to main content
GET
/
projects
/
{project_id}
/
project-users
List project users
curl --request GET \
  --url https://{your-subdomain}.neetoinvoice.com/api/external/v2/projects/{project_id}/project-users \
  --header 'X-Api-Key: <x-api-key>'
{
  "project_users": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "hourly_rate": 123,
      "name": "<string>",
      "email": "jsmith@example.com",
      "time_zone": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt

Use this file to discover all available pages before exploring further.

Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

project_id
string
required

Unique ID of the project for which you want to retrieve or update details. Refer to Getting the Project ID section for detailed instructions.

Response

200 - application/json

OK - Request succeeded

project_users
object[]